/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package modelo;
import java.util.Observable;
/**
 *
 * @author Diego
 */
public class Parrafo extends Observable{
    private String nombre;
    private String autores;
    private String fuentes;
    private String texto;

    private boolean esElementoGlosario;
    private String comentarios;

    /**
     * @return the nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * @return the autores
     */
    public String getAutores() {
        return autores;
    }

    /**
     * @param autores the autores to set
     */
    public void setAutores(String autores) {
        this.autores = autores;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * @return the fuentes
     */
    public String getFuentes() {
        return fuentes;
    }

    /**
     * @param fuentes the fuentes to set
     */
    public void setFuentes(String fuentes) {
        this.fuentes = fuentes;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * @return the texto
     */
    public String getTexto() {
        return texto;
    }

    /**
     * @param texto the texto to set
     */
    public void setTexto(String texto) {
        this.texto = texto;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * @return the esElementoGlosario
     */
    public boolean getEsElementoGlosario() {
        return esElementoGlosario;
    }

    /**
     * @param esElementoGlosario the esElementoGlosario to set
     */
    public void setEsElementoGlosario(boolean esElementoGlosario) {
        this.esElementoGlosario = esElementoGlosario;
        this.setChanged();
        this.notifyObservers();
    }

    /**
     * @return the comentarios
     */
    public String getComentarios() {
        return comentarios;
    }

    /**
     * @param comentarios the comentarios to set
     */
    public void setComentarios(String comentarios) {
        this.comentarios = comentarios;
        this.setChanged();
        this.notifyObservers();
    }

}
